Get an account
curl --request GET \
--url https://api-sandbox.circle.com/v1/accounts/{accountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.circle.com/v1/accounts/{accountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.circle.com/v1/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"accountId": "1000662322",
"entityId": "a49f9b1d-75e0-44a9-b8d2-4293b3f11ebd",
"type": "first_party",
"purpose": "custody",
"status": "active",
"description": "End User Wallet",
"balances": [
{
"amount": "3.14",
"currency": "USD"
}
],
"clientEntityId": "a3f1b2c4-d5e6-7890-abcd-ef1234567890",
"businessPii": {
"businessName": "Acme Corporation",
"businessUniqueIdentifier": "12-3456789",
"identifierIssuingCountryCode": "US",
"address": {
"line1": "100 Pine Street",
"city": "San Francisco",
"postalCode": "94111",
"country": "US",
"line2": "Suite 2500",
"district": "CA"
}
},
"groupId": "9c0f1c0d-6c61-4f3d-9b8a-1a3a4b3c5d6e"
}
}{
"code": 4,
"message": "Unauthorized."
}{
"code": 404,
"message": "Not found."
}{
"code": -1,
"message": "Something went wrong. errId: 1f0b0c455e40f753f07b4f0ae6abd4b4"
}Get an account
Retrieves a single account by accountId.
GET
/
v1
/
accounts
/
{accountId}
Get an account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifier of the account.
Example:
"1000565227"
Response
Successfully retrieved an account.
An account exposed by the Accounts API.
Show child attributes
Show child attributes
Was this page helpful?
⌘I